using System;

using XmlObjects;

using NUnit.Framework;

namespace XmlObjectsTestUnits
{
  /// <summary>
  /// XmlType attribute, specifying the parent field
  /// </summary>
  [TestFixture]
  public class Test30XmlTypeParent : CommonTest
  {

    static string xml = @"
            <wsm att='true'>
                <folder loc='programs'></folder>
            </wsm>
            ";

    public class Wsm
    {
      public bool att;
      public Folder folder;
    };

    [XmlType(ParentField = "parent")]
    public class Folder
    {
      public Wsm parent;
      public string loc;
    }

    [SetUp]
    public void setup()
    {
      wsm = (Wsm)LoadXml(typeof(Wsm), xml);
    }
    [Test]
    public void test()
    {
      checkLoaded(wsm);
    }
    [Test]
    public void testWrite()
    {
      checkLoaded((Wsm)SaveAndLoad(wsm));
    }
    private Wsm wsm;
    private void checkLoaded(Wsm wsm)
    {
      Assert.AreEqual(wsm.att, true);
      Assert.AreEqual(wsm.folder.loc, "programs");
      Assert.AreEqual(wsm.folder.parent, wsm);
    }
  }
}
