using System;

using XmlObjects;

using NUnit.Framework;

namespace XmlObjectsTestUnits
{
  /// <summary>
  /// An attribute and a element can share the same name
  /// </summary>
  [TestFixture]
  public class Test45AttributeElement : CommonTest
  {

    static string xml = @"
            <wsm folder='.'>
              <folder name='none'/>
            </wsm>
            ";

    public class Wsm
    {
      public string folder;
      [XmlField("folder")]
      public Folder content;
    };

    public class Folder
    {
      public string name;
    }

    [SetUp]
    public void setup()
    {
      wsm = (Wsm)LoadXml(typeof(Wsm), xml);
    }
    [Test]
    public void test()
    {
      checkLoaded(wsm);
    }
    [Test]
    public void testWrite()
    {
      checkLoaded((Wsm)SaveAndLoad(wsm));
    }
    private Wsm wsm;
    private void checkLoaded(Wsm wsm)
    {
      Assert.AreEqual(wsm.folder, ".");
      Assert.AreEqual(wsm.content.name, "none");
    }
  }
}
