using System;
using System.Collections;
using System.Collections.Generic;
using NUnit.Framework;

using XmlObjects;

namespace XmlObjectsTestUnits
{
  /// <summary>
  /// Using the ProvidedFieldsSupport functionality
  /// The type of the support field must be boolean.
  /// </summary>
  [TestFixture]
  public class TestC08ProvidedFields : CommonTest
  {
    static string xmlToFormat = @"
      <Wsm times='0' timesAttributeProvided='true'/>
    ";


    public class Wsm
    {
      public int times;
      public string timesAttributeProvided;
    };

    [Test]
    public void test()
    {
      check((Wsm)LoadXml(typeof(Wsm), xmlToFormat));
    }
    [Test]
    public void testWrite()
    {
      check((Wsm)SaveAndLoad(LoadXml(typeof(Wsm), xmlToFormat)));
    }
    private void check(Wsm wsm)
    {
      Assert.AreEqual(wsm.timesAttributeProvided, "true");
      Assert.AreEqual(wsm.times, 0);
    }
  }
}
